Supported Browsers

Note: We no longer support Internet Explorer version 10 and below. You must use Internet Explorer 11 or one of the other supported browsers below.

You must use a supported web browser in order to access all features within Spectrum.net. We recommend you use the most current version of the following supported browsers:

 

 

 

Don't know what browser you're using? Find out.

Supported Operating Systems:

  • Windows 7, 8 and 10
  • OS 10.5.x or later

Supported Mobile Devices and Operating Systems:

  • iOS 6+: iPhone 4+, iPad 3+, iPad Mini (with and without Retina)
  • Android 2.3+ and above HTC (recommended Chrome)
  • Google Nexus
  • Samsung Galaxy S3+
  • Galaxy Note 10.1+
  • Motorola Xoom1+
  • Defy
  • LG Optimus
  • Sony Ericsson Xperia
  • HTC oneX